<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AgencyReadResponse StructType
 * @subpackage Structs
 */
class AgencyReadResponse extends AbstractStructBase
{
    /**
     * The AgencyReadRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $AgencyReadRS;
    /**
     * Constructor method for AgencyReadResponse
     * @uses AgencyReadResponse::setAgencyReadRS()
     * @param \StructType\JP_StaticDataRS $agencyReadRS
     */
    public function __construct(\StructType\JP_StaticDataRS $agencyReadRS = null)
    {
        $this
            ->setAgencyReadRS($agencyReadRS);
    }
    /**
     * Get AgencyReadRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getAgencyReadRS()
    {
        return $this->AgencyReadRS;
    }
    /**
     * Set AgencyReadRS value
     * @param \StructType\JP_StaticDataRS $agencyReadRS
     * @return \StructType\AgencyReadResponse
     */
    public function setAgencyReadRS(\StructType\JP_StaticDataRS $agencyReadRS = null)
    {
        $this->AgencyReadRS = $agencyReadRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AgencyReadResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
